org.apache.fop.fo.properties

## Class BackgroundPositionShorthand

- java.lang.Object
- - org.apache.fop.fo.properties.Property
  - - org.apache.fop.fo.properties.ListProperty
    - - org.apache.fop.fo.properties.BackgroundPositionShorthand

    public class BackgroundPositionShorthand
    extends ListProperty

Class encapsulating functionality for the `background-position` shorthand.

### Nested Class Summary

Nested Classes
`static class` `BackgroundPositionShorthand.Maker` Inner class for creating instances of this property
`static class` `BackgroundPositionShorthand.Parser` Inner class to provide shorthand parsing capabilities

### Field Summary

### Fields inherited from class org.apache.fop.fo.properties.ListProperty

`list`

### Fields inherited from class org.apache.fop.fo.properties.Property

`log`

### Constructor Summary

Constructors
Constructor and Description
`BackgroundPositionShorthand()`

### Method Summary

### Methods inherited from class org.apache.fop.fo.properties.ListProperty

`addProperty, equals, getList, getObject, hashCode`

### Methods inherited from class org.apache.fop.fo.properties.Property

`getCharacter, getColor, getCondLength, getEnum, getKeep, getLength, getLengthPair, getLengthRange, getNCname, getNumber, getNumeric, getSpace, getSpecifiedValue, getString, isAuto, setSpecifiedValue, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BackgroundPositionShorthand

    public BackgroundPositionShorthand()